Support Can't update to 2.2 due "Device Version Cannot Be Updated" message

Discussion in 'Android Devices' started by firefox73, Nov 4, 2010.

  1. firefox73

    firefox73 Well-Known Member
    36

    Jun 24, 2010
    103
    7
    36
    Hi

    I have am in the UK and have a UK unbranded and stock SIMFREE SGS. I'm just tring to install Froyo but keep getting the message "The device's version cannot be updated."

    I applied RyanZA's One Click Lag Fix a while ago which worked fine and more recently tried updating the registry hack a couple of weeks ago.

    Currently the latest Kies xxxx100 says:

    Current Version: PDA:JM2 / PHONE:JM1 / CSC:JM1

    I never managed to complete the hack despite adjusting th PC's registry initially to the Scandi version.

    My registry editor reads -

    Product Code: GT-I9000HKDXEU
    Software Revision: I9000XWJM2/I9000XEEJM1/I9000XXJM1/I9000XWJM2
    HIDSWVER: I9000XWJM2/I9000XEEJM1/I9000XXJM1/I9000XWJM2

    I believe I uninstalled all the OCLF tools and then uninstalled the OCLF program itself.

    Am I missing something?

    Any suggestions?

    Thanks in advance.
     

    Advertisement

  2. djmoogaloo

    djmoogaloo Member
    16

    Jul 6, 2010
    16
    2
    16
    I get the same except my details are

    Current Version: PDA:JF4 / PHONE:JF3 / CSC:JE6

    I am unsure if I am branded or unbranded, bought with a t-mobile contract from a 3rd party no branding visible on phone?
     
  3. djmoogaloo

    djmoogaloo Member
    16

    Jul 6, 2010
    16
    2
    16
    I also get a "Welcome to the Found New Hardware Wizard" for "MTP Device"
     
  4. Fornowagain

    Fornowagain New Member
    6

    Aug 28, 2010
    1
    3
    6
    Using the next to latest Samsung Kies version 1.5.3.10093.82, not the latest as it's disabled the reg hacks.

    I've uploaded it if you can't find it > Multiupload.com - upload your files to multiple file hosting sites!

    Open Regedit.

    [HKEY_CURRENT_USER\Software\Samsung\Kies\DeviceDB\4]
    "HIDSWVER"="I9000XXJF3/I9000OXAJF3/I9000XXJF3/I9000XXJF3"
    "ProductCode"="GT-I9000HKDXEU"

    [HKEY_CURRENT_USER\Software\Samsung\Kies\]
    "LocalVer"="1.5.3.10103.100"

    [​IMG]
     
    rossdude, tonmoy1108 and firefox73 like this.
  5. djmoogaloo

    djmoogaloo Member
    16

    Jul 6, 2010
    16
    2
    16
    Just checked my product code and I do have a t-mobile branded handset. So I guess I should be patient
     
  6. firefox73

    firefox73 Well-Known Member
    36

    Jun 24, 2010
    103
    7
    36
    Big thanks to Fornowagain.

    By uninstalling most recent Kies and then installing an older version, followed by the changes in the registry got this working. Now have Froyo on the phone.:)
     
  7. tume

    tume New Member
    5

    Nov 5, 2010
    1
    0
    5
    Had the same problem as op and the same version (JM2) on my phone. For me the regedit worked with the latest kies. So I didn't need to uninstall and install the older one. But thank you Fornowagain for the info!
     
  8. hakimsheriff

    hakimsheriff New Member
    5

    Jan 2, 2011
    3
    0
    5
    I have the same problem but i have a Samsung galaxy 550/GT-I5500M/Europa. What should I change the registry to.
     
  9. w98seeng

    w98seeng Active Member
    36

    Sep 13, 2010
    41
    7
    36
  10. galaxyguy

    galaxyguy New Member
    5

    Mar 6, 2011
    1
    0
    5
    Hi I have samsung galaxy s running 2.1 update1... I am always getting an error "this version of the device cannot be updated" , when I am trying to update to froyo.

    My device firmware : PDA : JM1, PHONE : JM1, CSC : JM1

    I am using kies latest 2.0 version

    I took help from google to the core and tries all those regestryedit things, mount unmount things and all other ways whatever i found in my search still the same error again and again

    Please please please help me to update my mobile to froyo...
     
  11. rynlpin

    rynlpin Well-Known Member
    38

    I believe the recent version of Kies isn't compatible with the Samsung Galaxy S for some reason.
     
  12. dsaintd

    dsaintd New Member
    5

    Mar 11, 2011
    2
    0
    5
    Male

    Im having the same problem, also I tried an older version of Kies (one which I know updates SGS) and Im still getting the cannot be updated message :S
     

Share This Page

Loading...